% -------------------------------------------------------------------------
% Launch and run LabVIEWMatlabFanuc first so that it is ready to listen when
% we send a message. Assumes the first 4 bytes of the message are the length of
% the message in ASCII and that the message is floating point numbers delimited by commas.
% Wait until it receives an 'Ack' message back from LabVIEW
% -------------------------------------------------------------------------
% Created from http://www.mathworks.com/matlabcentral/fileexchange/42567-matlab-and-labview-data-exchange-over-tcp-ip
% Modified to pre-pend the length the the xmit string and to return the
% received message as a string
% -------------------------------------------------------------------------
% clear all; close all;

%connection settings
number_of_retries = 1; % set to -1 for infinite
port=2057; % This code use for communication "port" and "port+1"
host='localhost';   
samplingrate=1000; %in ms

% Message formate is X,Y,Z,Pitch,Roll,Yaw,Gripper,Tool Frame
values_to_send = [  [392.5 88.4 -236.3 -90 0 -90 1 0]; ...  % Go to X,Y,Z but 3" from marker
                    [0 0 0 -63.6 -135 0 1 2]; ...           % Orient Tool
                    [0 0 3*25.4 0 0 0 1 2]; ...             % Move In
                    [0 0 0 0 0 0 0 2]; ...                  % Close Gripper
                    [0 0 -3*25.4 0 0 0 0 2]; ...            % Move Out
                    [350 -200 0 -90 0 -90 1 0]; ...         % Move to trash can and open gripper
                    ];                     
                
for i = 1:size(values_to_send,1)
    data_received=exchangeData(port,host,number_of_retries,samplingrate,Double2CSV(values_to_send(i,:)))
    pause(1) ;
end
